petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscFESetType

Builds a particular PetscFE

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetType(PetscFE fem, PetscFEType name)

Collective on PetscFE

### Input Parameters

| fem | - The PetscFE object
| name | - The kind of FEM space

### Options Database Key

-petscfe_type <type> -Sets the PetscFE type; use -help for a list of available types

### Keywords

PetscFE, set, type

### See Also

PetscFEGetType(), PetscFECreate()

Level:intermediate
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages